/*jshint maxlen:500 */

// カレンダーデータの取得
var koyomi = require('../..').create();
koyomi.startMonth = 1;
koyomi.startWeek = '月';


var eq = require('assert').deepEqual;

var data = koyomi.getCalendarData('2015/4-2015/6');


var result = [
  {block: '2015/04', som: true,  eom: false, sow: true,  eow: false, year: 2015, month: 3, day: 30, week: 1, weekNumber:  1, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 3, day: 31, week: 2, weekNumber:  1, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  1, week: 3, weekNumber:  1, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  2, week: 4, weekNumber:  1, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  3, week: 5, weekNumber:  1, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  4, week: 6, weekNumber:  1, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 4, day:  5, week: 0, weekNumber:  1, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 4, day:  6, week: 1, weekNumber:  2, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  7, week: 2, weekNumber:  2, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  8, week: 3, weekNumber:  2, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day:  9, week: 4, weekNumber:  2, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 10, week: 5, weekNumber:  2, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 11, week: 6, weekNumber:  2, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 4, day: 12, week: 0, weekNumber:  2, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 4, day: 13, week: 1, weekNumber:  3, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 14, week: 2, weekNumber:  3, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 15, week: 3, weekNumber:  3, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 16, week: 4, weekNumber:  3, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 17, week: 5, weekNumber:  3, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 18, week: 6, weekNumber:  3, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 4, day: 19, week: 0, weekNumber:  3, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 4, day: 20, week: 1, weekNumber:  4, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 21, week: 2, weekNumber:  4, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 22, week: 3, weekNumber:  4, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 23, week: 4, weekNumber:  4, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 24, week: 5, weekNumber:  4, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 25, week: 6, weekNumber:  4, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 4, day: 26, week: 0, weekNumber:  4, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 4, day: 27, week: 1, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 28, week: 2, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 29, week: 3, weekNumber:  5, open: false, close: '昭和の日'  , holiday: '昭和の日'  , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 30, week: 4, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  1, week: 5, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  2, week: 6, weekNumber:  5, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day:  3, week: 0, weekNumber:  5, open: false, close: '定休日'  , holiday: '憲法記念日', events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 5, day:  4, week: 1, weekNumber:  6, open: false, close: 'みどりの日'  , holiday: 'みどりの日', events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  5, week: 2, weekNumber:  6, open: false, close: 'こどもの日'  , holiday: 'こどもの日', events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  6, week: 3, weekNumber:  6, open: false, close: '振替休日'  , holiday: '振替休日'  , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  7, week: 4, weekNumber:  6, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  8, week: 5, weekNumber:  6, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  9, week: 6, weekNumber:  6, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/04', som: false, eom: true,  sow: false, eow: true,  year: 2015, month: 5, day: 10, week: 0, weekNumber:  6, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: true,  eom: false, sow: true,  eow: false, year: 2015, month: 4, day: 27, week: 1, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 28, week: 2, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 29, week: 3, weekNumber:  5, open: false, close: '昭和の日'  , holiday: '昭和の日'  , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 4, day: 30, week: 4, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  1, week: 5, weekNumber:  5, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  2, week: 6, weekNumber:  5, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day:  3, week: 0, weekNumber:  5, open: false, close: '定休日'  , holiday: '憲法記念日', events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 5, day:  4, week: 1, weekNumber:  6, open: false, close: 'みどりの日'  , holiday: 'みどりの日', events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  5, week: 2, weekNumber:  6, open: false, close: 'こどもの日'  , holiday: 'こどもの日', events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  6, week: 3, weekNumber:  6, open: false, close: '振替休日'  , holiday: '振替休日'  , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  7, week: 4, weekNumber:  6, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  8, week: 5, weekNumber:  6, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day:  9, week: 6, weekNumber:  6, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day: 10, week: 0, weekNumber:  6, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 5, day: 11, week: 1, weekNumber:  7, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 12, week: 2, weekNumber:  7, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 13, week: 3, weekNumber:  7, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 14, week: 4, weekNumber:  7, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 15, week: 5, weekNumber:  7, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 16, week: 6, weekNumber:  7, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day: 17, week: 0, weekNumber:  7, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 5, day: 18, week: 1, weekNumber:  8, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 19, week: 2, weekNumber:  8, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 20, week: 3, weekNumber:  8, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 21, week: 4, weekNumber:  8, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 22, week: 5, weekNumber:  8, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 23, week: 6, weekNumber:  8, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day: 24, week: 0, weekNumber:  8, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 5, day: 25, week: 1, weekNumber:  9, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 26, week: 2, weekNumber:  9, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 27, week: 3, weekNumber:  9, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 28, week: 4, weekNumber:  9, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 29, week: 5, weekNumber:  9, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 5, day: 30, week: 6, weekNumber:  9, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 5, day: 31, week: 0, weekNumber:  9, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/05', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 6, day:  1, week: 1, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  2, week: 2, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  3, week: 3, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  4, week: 4, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  5, week: 5, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  6, week: 6, weekNumber: 10, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/05', som: false, eom: true,  sow: false, eow: true,  year: 2015, month: 6, day:  7, week: 0, weekNumber: 10, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: true,  eom: false, sow: true,  eow: false, year: 2015, month: 6, day:  1, week: 1, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  2, week: 2, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  3, week: 3, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  4, week: 4, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  5, week: 5, weekNumber: 10, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  6, week: 6, weekNumber: 10, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 6, day:  7, week: 0, weekNumber: 10, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 6, day:  8, week: 1, weekNumber: 11, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day:  9, week: 2, weekNumber: 11, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 10, week: 3, weekNumber: 11, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 11, week: 4, weekNumber: 11, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 12, week: 5, weekNumber: 11, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 13, week: 6, weekNumber: 11, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 6, day: 14, week: 0, weekNumber: 11, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 6, day: 15, week: 1, weekNumber: 12, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 16, week: 2, weekNumber: 12, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 17, week: 3, weekNumber: 12, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 18, week: 4, weekNumber: 12, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 19, week: 5, weekNumber: 12, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 20, week: 6, weekNumber: 12, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 6, day: 21, week: 0, weekNumber: 12, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 6, day: 22, week: 1, weekNumber: 13, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 23, week: 2, weekNumber: 13, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 24, week: 3, weekNumber: 13, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 25, week: 4, weekNumber: 13, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 26, week: 5, weekNumber: 13, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 27, week: 6, weekNumber: 13, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 6, day: 28, week: 0, weekNumber: 13, open: false, close: '定休日', holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 6, day: 29, week: 1, weekNumber: 14, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 6, day: 30, week: 2, weekNumber: 14, open: true , close: ''      , holiday: ''          , events: [], ghost: false},
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  1, week: 3, weekNumber: 14, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  2, week: 4, weekNumber: 14, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  3, week: 5, weekNumber: 14, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  4, week: 6, weekNumber: 14, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: true,  year: 2015, month: 7, day:  5, week: 0, weekNumber: 14, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: true,  eow: false, year: 2015, month: 7, day:  6, week: 1, weekNumber: 15, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  7, week: 2, weekNumber: 15, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  8, week: 3, weekNumber: 15, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day:  9, week: 4, weekNumber: 15, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day: 10, week: 5, weekNumber: 15, open: true , close: ''      , holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: false, sow: false, eow: false, year: 2015, month: 7, day: 11, week: 6, weekNumber: 15, open: false, close: '定休日', holiday: ''          , events: [], ghost: true },
  {block: '2015/06', som: false, eom: true,  sow: false, eow: true,  year: 2015, month: 7, day: 12, week: 0, weekNumber: 15, open: false, close: '定休日', holiday: ''          , events: [], ghost: true }
];

// data.forEach((x,i)=>{console.log(i);eq(x, result[i]);});

eq(data, result);






