// 日付リストの取得
var compile  = require('../../lib/utils/compileSeasonHoliday');
var toString = require('../../lib/utils/toStringSeasonHoliday');
var eq = require('assert').deepEqual;

eq(compile('12/29-1/3'), {1229:'休業期間', 1230:'休業期間', 1231:'休業期間', 101:'休業期間', 102:'休業期間', 103:'休業期間'});
eq(toString({1229:'休業期間', 1230:'休業期間', 1231:'休業期間', 101:'休業期間', 102:'休業期間', 103:'休業期間'}), '休業期間 1/1, 1/2, 1/3, 12/29, 12/30, 12/31');
eq(compile('12/29-1/3, 8/16-8/19'), {1229:'休業期間', 1230:'休業期間', 1231:'休業期間', 101:'休業期間', 102:'休業期間', 103:'休業期間', 816:'休業期間', 817:'休業期間', 818:'休業期間', 819:'休業期間'});
eq(compile('4/29-5/2'), {429:'休業期間', 430:'休業期間', 501:'休業期間', 502:'休業期間'});
eq(compile('2/29-3/1'), {229:'休業期間', 301:'休業期間'});
eq(compile('1/2, 1/5, 1/10'), {102:'休業期間', 105:'休業期間', 110:'休業期間'});
eq(compile('夏の間'), null);
eq(compile('夏の間, 10/10-10/12'), {1010:'休業期間', 1011:'休業期間', 1012:'休業期間'});
eq(compile('夏の間 10/10-10/12'), {1010:'夏の間', 1011:'夏の間', 1012:'夏の間'});
eq(compile('夏の間 10/10-10/12, 10/20'), {1010:'夏の間', 1011:'夏の間', 1012:'夏の間', 1020:'夏の間'});
eq(compile('年末年始のお休み 12/29-1/3, お盆のお休み 8/16-8/19'), {1229:'年末年始のお休み', 1230:'年末年始のお休み', 1231:'年末年始のお休み', 101:'年末年始のお休み', 102:'年末年始のお休み', 103:'年末年始のお休み', 816:'お盆のお休み', 817:'お盆のお休み', 818:'お盆のお休み', 819:'お盆のお休み'});

function d(){}
eq(compile(d), d);
eq(toString(d), d);

